> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get index stats history



## OpenAPI

````yaml /api/openapi.json get /api/indexes/{indexId}/stats
openapi: 3.1.0
info:
  description: HTTP API for the Rootprint log management platform.
  title: Rootprint API
  version: 0.4.0
servers:
  - description: Rootprint API
    url: https://example.com
security:
  - cookieAuth: []
paths:
  /api/indexes/{indexId}/stats:
    get:
      tags:
        - Index management
      summary: Get index stats history
      operationId: getApiIndexesByIndexIdStats
      parameters:
        - in: path
          name: indexId
          required: true
          schema:
            minLength: 1
            type: string
        - in: query
          name: from
          schema:
            type: number
        - in: query
          name: to
          schema:
            type: number
        - in: query
          name: limit
          schema:
            default: '5000'
            maximum: 10000
            minimum: 1
            pattern: ^\d+$
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndexStatsResponse'
          description: Successful response
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    IndexStatsResponse:
      properties:
        indexId:
          type: string
        points:
          items:
            $ref: '#/components/schemas/IndexStatsPointSchema'
          type: array
      required:
        - indexId
        - points
      type: object
    IndexStatsPointSchema:
      properties:
        capturedAt:
          format: date-time
          type: string
        maxTimestamp:
          anyOf:
            - type: number
            - type: 'null'
        minTimestamp:
          anyOf:
            - type: number
            - type: 'null'
        numDocs:
          type: number
        numSplits:
          type: number
        sizeBytes:
          type: number
        uncompressedBytes:
          type: number
      required:
        - capturedAt
        - numDocs
        - sizeBytes
        - uncompressedBytes
        - numSplits
        - minTimestamp
        - maxTimestamp
      type: object
    ApiErrorBody:
      properties:
        error:
          properties:
            code:
              type: string
            details:
              items:
                properties:
                  message:
                    type: string
                  path:
                    type: string
                required:
                  - path
                  - message
                type: object
              type: array
            message:
              type: string
            requestId:
              type: string
            statusCode:
              type: number
          required:
            - code
            - message
            - statusCode
            - requestId
          type: object
      required:
        - error
      type: object
  responses:
    BadRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Request validation failed
    Unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Authentication required
    Forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Permission denied
    NotFound:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Resource not found
    InternalError:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Internal server error
    ServiceUnavailable:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorBody'
      description: Upstream service unavailable
  securitySchemes:
    cookieAuth:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````